Upstream information

CVE-2016-4985 at MITRE

Description

The ironic-api service in OpenStack Ironic before 4.2.5 (Liberty) and 5.x before 5.1.2 (Mitaka) allows remote attackers to obtain sensitive information about a registered node by leveraging knowledge of the MAC address of a network card belonging to that node and sending a crafted POST request to the v1/drivers/$DRIVER_NAME/vendor_passthru resource.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.96 4.30
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 984802 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE OpenStack Cloud 6
  • openstack-designate >= 1.0.3~a0~dev10-6.1
  • openstack-designate-agent >= 1.0.3~a0~dev10-6.1
  • openstack-designate-api >= 1.0.3~a0~dev10-6.1
  • openstack-designate-central >= 1.0.3~a0~dev10-6.1
  • openstack-designate-doc >= 1.0.3~a0~dev10-6.2
  • openstack-designate-sink >= 1.0.3~a0~dev10-6.1
  • openstack-ironic >= 4.2.5-6.1
  • openstack-ironic-api >= 4.2.5-6.1
  • openstack-ironic-conductor >= 4.2.5-6.1
  • openstack-ironic-doc >= 4.2.5-6.2
  • openstack-neutron-vpn-agent >= 7.0.5~a0~dev3-6.1
  • openstack-neutron-vpnaas >= 7.0.5~a0~dev3-6.1
  • openstack-neutron-vpnaas-doc >= 7.0.5~a0~dev3-6.1
  • openstack-nova-docker >= 0.0.1~a0~dev238-4.1
  • openstack-sahara >= 3.0.3~a0~dev1-6.1
  • openstack-sahara-api >= 3.0.3~a0~dev1-6.1
  • openstack-sahara-doc >= 3.0.3~a0~dev1-6.1
  • openstack-sahara-engine >= 3.0.3~a0~dev1-6.1
  • openstack-tempest >= 7.0.0-9.1
  • openstack-tempest-test >= 7.0.0-9.1
  • openstack-trove >= 4.0.1~a0~dev19-8.1
  • openstack-trove-api >= 4.0.1~a0~dev19-8.1
  • openstack-trove-conductor >= 4.0.1~a0~dev19-8.1
  • openstack-trove-doc >= 4.0.1~a0~dev19-8.1
  • openstack-trove-guestagent >= 4.0.1~a0~dev19-8.1
  • openstack-trove-taskmanager >= 4.0.1~a0~dev19-8.1
  • python-designate >= 1.0.3~a0~dev10-6.1
  • python-ironic >= 4.2.5-6.1
  • python-neutron-vpnaas >= 7.0.5~a0~dev3-6.1
  • python-sahara >= 3.0.3~a0~dev1-6.1
  • python-tempest >= 7.0.0-9.1
  • python-trove >= 4.0.1~a0~dev19-8.1
Patchnames:
SUSE-OpenStack-Cloud-6-2016-1160